--[[ AppLocker v1.2 : By AntHJ ]]
scrmsg = 0
Sound.init()
local snd = Sound.open("app0:/k.ogg")
-- Loading background image
local bg = Graphics.loadImage("app0:bg.png")
local samples = System.listDirectory("ux0:/app/")

-- Initializing oldpad variable
oldpad = SCE_CTRL_CROSS

-- Used colors
local red = Color.new(155, 0, 0)
local white = Color.new(255, 255, 255)
local yellow = Color.new(255, 255, 0)
local green = Color.new(0, 255, 0)
local black = Color.new(0, 0, 0)

-- Cursor index
local i = 1

-- Main loop
while true do
	
	-- Starting drawing phase
	Graphics.initBlend()
	Screen.clear()
	
	-- Drawing background
	Graphics.drawImage(0,0, bg)
	
	-- Drawing samples selector
	local y = 125
	
	for j, file in pairs(samples) do
		x = 45
		if j >= i and y < 960 then
			if i == j then
				color = yellow
				x = 45
			else
				color = white
			end
			Graphics.debugPrint(x, y, file.name, color)
			y = y + 20
		end
	end
		

	-- Drawing selected sample description
-- 	Graphics.debugPrint(25, 500, samples[i].desc, white)

	-- Drawing instructions
	Graphics.debugPrint(45, 7, "Press X to LOCK the selected app (bypassable) or", yellow)
	Graphics.debugPrint(45, 27, "Square to FULLY LOCK the app..  Press O to UNLOCK.. ", yellow)
	Graphics.debugPrint(765, 520, "Created by : AntHJ", red)
	
if scrmsg == 1 then Graphics.debugPrint(200, 125, "  This app is now LOCKED.!", green) end
if scrmsg == 2 then Graphics.debugPrint(200, 125, "  App UNLOCKED.!", green) end
if scrmsg == 3 then Graphics.debugPrint(200, 125, "  This app was already LOCKED.!", green) end
if scrmsg == 4 then Graphics.debugPrint(200, 125, "  This app is now *FULLLY* LOCKED.!", green) end
if scrmsg == 5 then Graphics.debugPrint(200, 125, "  This app is now KONAMI CODE LOCKED.!", green) end

	-- Terminating drawing phase
	Graphics.termBlend()
	Screen.flip()
	
	-- Controls checking
	pad = Controls.read()
	if Controls.check(pad, SCE_CTRL_UP) and not Controls.check(oldpad, SCE_CTRL_UP) then
		scrmsg = 0
		i = i - 1
		if i == 0 then
			i = #samples
		end
	elseif Controls.check(pad, SCE_CTRL_DOWN) and not Controls.check(oldpad, SCE_CTRL_DOWN) then
		scrmsg = 0
		i = i + 1
		if i > #samples then
			i = 1
		end
	elseif Controls.check(pad, SCE_CTRL_CROSS) and not Controls.check(oldpad, SCE_CTRL_CROSS) then
		if System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
		scrmsg = 3
		end
		if not System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
			System.rename("ux0:/app/" ..samples[i].name.. "/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot-orig.bin")
			System.copyFile("app0:/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot.bin")
			System.copyFile("app0:/locked-index.lua", "ux0:/app/" ..samples[i].name.. "/index.lua")
			scrmsg = 1
		end
	
	elseif Controls.check(pad, SCE_CTRL_CIRCLE) and not Controls.check(oldpad, SCE_CTRL_CIRCLE) then
		if System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
			System.deleteFile("ux0:/app/" ..samples[i].name.. "/eboot.bin")
			System.deleteFile("ux0:/app/" ..samples[i].name.. "/index.lua")
			System.rename("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin", "ux0:/app/" ..samples[i].name.. "/eboot.bin")
			scrmsg = 2
		end
		if not System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
		scrmsg = 2
		end
	
	elseif Controls.check(pad, SCE_CTRL_SQUARE) and not Controls.check(oldpad, SCE_CTRL_SQUARE) then
		if System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
		scrmsg = 3
		end
		if not System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
			System.rename("ux0:/app/" ..samples[i].name.. "/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot-orig.bin")
			System.copyFile("app0:/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot.bin")
			System.copyFile("app0:/lockedf-index.lua", "ux0:/app/" ..samples[i].name.. "/index.lua")
			scrmsg = 4
		end	
		
	elseif Controls.check(pad, SCE_CTRL_START) and not Controls.check(oldpad, SCE_CTRL_START) then
		if System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
		scrmsg = 3
		end
		if not System.doesFileExist("ux0:/app/" ..samples[i].name.. "/eboot-orig.bin") then 
			System.rename("ux0:/app/" ..samples[i].name.. "/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot-orig.bin")
			System.copyFile("app0:/eboot.bin", "ux0:/app/" ..samples[i].name.. "/eboot.bin")
			System.copyFile("app0:/lockedk-index.lua", "ux0:/app/" ..samples[i].name.. "/index.lua")
			Sound.play(snd, NO_LOOP)
			scrmsg = 5
		end
	end
	
	-- Saving old controls scheme
	oldpad = pad
	
end